<?php
/**
* Plugin Name: LBK Fix Tawk.to VietNam
* Description: Plugin fix lỗi không hiển thị widget chat của Tawkto tại VietNam.
* Version: 1.0.1
* Author: Mộc (lbk.vn)
* Author URI: https://www.facebook.com/letuan.dgm
* Text-domain: lbk_ftt
* Domain Path: /language/
**/

defined( 'ABSPATH' ) || die;

define( 'LBK_FTT_VER', '1.0.1' );
define( 'LBK_FTT_DIR', trailingslashit(plugin_dir_path( __FILE__ )) );
define( 'LBK_TFF_URL', trailingslashit(plugin_dir_url( __FILE__ )) );

class LBK_FIX_TAWKTO
{

	protected $html;
	public function __construct($html)
	{

		if (!empty($html))
		{
			$this->parseHTML($html);
		}

	}
	public function __toString()
	{
		return $this->html;
	}

	protected function replaceTawkto($html)
	{


		$html = str_replace("embed.tawk.to", 'live-tawk.vievent.net', $html);

		return $html;
	}

	public function parseHTML($html)
	{
		$this->html = $this->replaceTawkto($html);
	}
}

$tawkto = new LBK_FIX_TAWKTO($html);


function lbk_wp_html_compression_finish($html)
{
	return new LBK_FIX_TAWKTO($html);
}


function lbk_wp_html_compression_start()
{
	ob_start('lbk_wp_html_compression_finish');
}
add_action('get_header', 'lbk_wp_html_compression_start');


add_action('wp_enqueue_scripts', 'tawkto_style', 99999);
function tawkto_style() {		
	wp_enqueue_script( 'lbk_tawkto', plugins_url( 'js.js', __FILE__), array(), LBK_FTT_VER );
}